Package org.eclipse.emf.cdo.common.id

## Interface CDOID

- All Superinterfaces:
    `java.lang.Comparable<CDOID>`, `java.io.Serializable`
  All Known Subinterfaces:
    `CDOIDExternal`, `CDOIDObject`, `CDOIDString`, `CDOIDTemp`, `InternalCDOIDObject`
  All Known Implementing Classes:
    `AbstractCDOID`

      public interface CDOID
      extends java.lang.Comparable<CDOID>, java.io.Serializable

  Identifies CDO objects uniquely in a CDO `repository`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOID.ObjectType` | Enumerates the possible sub types of CDO `IDs` with the main type `OBJECT`.
    `static class` | `CDOID.Type` | Enumerates the possible types of CDO `IDs`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOID` | `NIL` |
    `static CDOID` | `NULL` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID.Type` | `getType()` |
    `boolean` | `isDangling()` | Deprecated.
    `boolean` | `isExternal()` |
    `boolean` | `isNil()` |
    `boolean` | `isNull()` |
    `boolean` | `isObject()` |
    `boolean` | `isTemporary()` |
    `java.lang.String` | `toURIFragment()` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### NULL

          static final CDOID NULL

    - #### NIL

          static final CDOID NIL

      Since:
        4.7

  - ### Method Detail

    - #### getType

          CDOID.Type getType()

    - #### isNull

          boolean isNull()

    - #### isNil

          boolean isNil()

      Since:
        4.7

    - #### isObject

          boolean isObject()

    - #### isTemporary

          boolean isTemporary()

    - #### isDangling

          @Deprecated
          boolean isDangling()

      Deprecated.
      Since:
        3.0

    - #### isExternal

          boolean isExternal()

      Since:
        2.0

    - #### toURIFragment

          java.lang.String toURIFragment()

      Since:
        2.0